{
  "name": "rabbitmqtrigger",
  "display_name": "RabbitMQ Trigger",
  "description": "Listens to RabbitMQ messages",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "rabbitmq",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "queue",
      "display_name": "Queue / Topic",
      "kind": "string",
      "required": false,
      "default": "",
      "description": "The name of the queue to read from"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "immediately",
      "description": "Whether to save the content as binary"
    },
    {
      "name": "laterMessageNode",
      "display_name": "To delete an item from the queue, insert a RabbitMQ node later in the workflow and use the ",
      "kind": "notice",
      "required": false,
      "default": ""
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/RabbitMQ/RabbitMQTrigger.node.ts"
}